Bug 595398 - "yum update" fails
"yum update" fails
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum (Show other bugs)
5.4
i686 Linux
low Severity medium
: rc
: ---
Assigned To: James Antill
BaseOS QE Security Team
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-24 10:21 EDT by Mark J
Modified: 2014-01-21 01:18 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-24 14:11:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mark J 2010-05-24 10:21:28 EDT
Description of problem:
This server is running RHEL 5.4.  It has been powered off since October, 2009.  Today, I powered it back on and ran "yum update yum\*".  Then, I ran "yum update".  I got the following error after yum downloaded all of the packages:

Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
xen-libs is needed by (installed) xen-3.0.3-55.el5.i386
Complete!
(1, [u'Please report this error in https://bugzilla.redhat.com/enter_bug.cgi?product=Red%20Hat%20Enterprise%20Linux%205&component=yum'])

Version-Release number of selected component (if applicable):
yum --version
3.2.22
*Note* Red Hat Network repositories are not listed below. You must run this command as root to access RHN repositories.
  Installed: rpm-4.4.2.3-18.el5.i386 at 2009-09-03 17:44
  Built    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla> at 2009-07-24 05:56
  Committed: Panu Matilainen <pmatilai@redhat.com> at 2009-07-24 22:00

  Installed: yum-3.2.22-26.el5.noarch at 2010-05-24 13:59
  Built    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla> at 2010-02-23 16:50
  Committed: James Antill <jantill@redhat.com> at 2010-02-23 22:00

  Installed: yum-metadata-parser-1.1.2-3.el5.i386 at 2009-09-03 17:38
  Built    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla> at 2009-04-06 14:15
  Committed: James Antill <james.antill@redhat.com> at 2009-04-06 22:00

  Installed: yum-rhn-plugin-0.5.4-15.el5.noarch at 2010-05-24 14:00
  Built    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla> at 2009-12-21 11:59
  Committed: Milan Zazrivec <mzazrivec@redhat.com> at 2009-12-21 22:00


How reproducible:
Very.  I am unable to successfully run a "yum update"

Steps to Reproduce:
1. execute "yum update"
2. Observe failure
  
Actual results:
System software is not updated.

Expected results:
System software to be updated.

Additional info:
Comment 1 James Antill 2010-05-24 10:55:27 EDT
What do the following commands say:

yum list 'xen*'

package-cleanup --problems

?
Comment 2 Mark J 2010-05-24 11:27:56 EDT
Results:

# yum list 'xen*'
Loaded plugins: rhnplugin, security
Installed Packages
xen.i386                     3.0.3-55.el5                     installed         
xen-libs.i386                3.0.3-94.el5                     installed         
Available Packages
xen-libs.i386                3.0.3-105.el5_5.2                rhel-i386-server-5
# package-cleanup --problems
-bash: package-cleanup: command not found
# 

FYI: The first (xen.i386) line was in red, the second (xen-libs.i386) was white, and the third line (xen-libs.i386 Available) was in blue.

Thanks!
Comment 3 James Antill 2010-05-24 12:32:25 EDT
Red is color_list_installed_extra, which means that "xen-3.0.3-55.el5" is not available from any repo.

And looking at the xen package you see:

% sudo repoquery --nevra xen
xen-0:3.0.3-105.el5.x86_64
% sudo repoquery --requires xen | fgrep xen-libs
xen-libs = 3.0.3-105.el5

...but someone has force installed xen (or xen-libs) with a mismatched version. This means when yum comes to check it everything seems fine, because nothing requires the new version of xen ... but rpm sees that something is "wrong" and refuses to do anything.

If you enable a repo. which has xen, that will probably fix everything ... otherwise the only options are:

1. remove xen.

2. exclude the new xen-libs (it'll still be mismatched though).

3. use yumdownloader + rpm --force --nodeps to install the new xen-libs (not recommended).
Comment 4 Mark J 2010-05-24 13:44:52 EDT
I'm confused.  I paid extra for a Red Hat Enterprise Linux subscription which supports Virtualization.  Now, you're telling me that the only way to get a "yum update" to work is to uninstall xen?  Won't that break Virtualization?

So, I guess I'd like to "probably fix everything" by enabling a repo containing xen.  How do I do that?

Thanks in advance...
Comment 5 James Antill 2010-05-24 14:11:29 EDT
I can try and help, but bugzilla isn't the normal support channel and it's very possible that who you'd speak to using your normal support channel would be much better prepared to help you with enabling any repo(s). and/or subscriptions you are missing.

If you goto rhn.redhat.com and click on "systems" on the left menu bar, then click on the machine name that is having problems. Inside that page you should see something that says (IIRC, in the bottom left corner) what base channel and "sub-channels" your machine is subscribed to. That should list the virtualization channel (and I assume doesn't), assuming you still have a valid subscription to it then you should just be able to edit the channels and click to enable it as a sub-channel.

Then "yum repolist" on the client should list it and "yum list xen" on the client should list a newer xen package as available. "yum update xen\*" should then fix the rpmdb problem.

Note You need to log in before you can comment on or make changes to this bug.